package pl.afizyka.listawidoku

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.ImageView
import android.widget.TextView

class MojAdapterListy(context: Context, val zasobWidoku: Int, val itemy: List<PrzekazywneDane>) :
    ArrayAdapter<PrzekazywneDane>(context, zasobWidoku, itemy) {
    //obsłuz ładowany układ widoku itemu
    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val layout:LayoutInflater=LayoutInflater.from(context)
        val view:View=layout.inflate(zasobWidoku,null)
        val img:ImageView=view.findViewById(R.id.ikonaFlagi)
        val txtKraj:TextView=view.findViewById(R.id.textViewKraj)
        val txtPow:TextView=view.findViewById(R.id.textViewPow)
        val dane:PrzekazywneDane=itemy[position]

        img.setImageDrawable(context.resources.getDrawable(dane.obrazFlagi))
        txtKraj.text=dane.nazwa
        txtPow.text=dane.pow

        return view
    }
}
//klas posredniczaca w przekazywaniu danych do itemów adaptera
class PrzekazywneDane(val nazwa:String, val obrazFlagi:Int, val pow:String)